Adds a response to the case from the person that opened the case.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/support/cases/{caseUid}/clientresponse/{comment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/support/cases/{caseUid}/clientresponse/{comment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/support/cases/{caseUid}/clientresponse/{comment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SubmittedDateTime": "string",
"LastActivity": "string",
"FromPerson": {},
"AssignedToPersonClientIdentifier": "string",
"Subject": "string",
"Body": "string",
"UserAgent": "string",
"Status": 1,
"Source": 1,
"CaseHistories": [],
"CaseTags": [],
"HasUnread": false,
"IsOnline": false,
"LastCaseHistory": {},
"Participants": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"Score": 0
},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
}Cases
Adds a response to the case from the person that opened the case.
POST
/
api
/
v1
/
support
/
cases
/
{caseUid}
/
clientresponse
/
{comment}
Adds a response to the case from the person that opened the case.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The case's unique identifier
The response text
Response
Minimum string length:
1Minimum string length:
1Circular reference to Case (not expanded here).
1 - PersonReply, 2 - Note, 3 - Closed, 4 - Reopened, 5 - Assigned, 6 - AgentReply, 7 - AutoReply, 8 - ContactChange
Available options:
1, 2, 3, 4, 5, 6, 7, 8 Maximum string length:
10Maximum string length:
50